Subject: RE: [RFC PATCH 0/3] Introduce clar testing framework

From: <[email-masked]>
Date: Wed, 31 Jul 2024 16:37:37 -0400

On Wednesday, July 31, 2024 4:25 PM, I wrote:
>On Wednesday, July 31, 2024 12:53 PM, Junio C Hamano wrote:
>><[email-masked]> writes:
>>
>>> I'm sorry for being so behind the curve... what is clar and where does it run?
>>
>>We have t/unit-test/test-lib.[ch] that are our home-grown unit test
>>framework.  A handful of tests have been written to use it, when you
>>say "make test", or "(cd t && make)", unit tests binaries linked with the home-
>grown unit test framework run.
>>
>>clar is a _potential_ replacement for our home-grown framework,
>>suggested here because it would be nicer if we can use off-the-shelf
>>component instead of having to enhance and maintain our own.
>>
>>Where and how it runs does not change even after clar turns out to be
>>good enough for our purpose and we commit to replace our home-grown
>>unit test framework with it.
>
>Well... I would like to be able to see whether this can be built/used on NonStop just
>so I can stay ahead of the curve or be far enough in advance of it to request any
>required fixes to make it work on platform.

After checking out clar, I would say it has potential, but needs to be slightly more
portable to depend on more than gcc CFLAGS (specifically -Wall). I will ask that
of that team. It does look like it might be possible, but it should integrate with the
config.mak.uname settings, so c99 or c11 (or soon c17) could be used with other
CFLAGS from that file so maintainers only have to worry about one location.

--Randall